%define ver     0.9.0
%define rel     0
%define prefix  /usr/local
%define name    pctel

Name:        %{name}
Summary:     Linux kernel module driver for PCTel based modems.
Version:     %{ver}
Release:     %{rel}
Copyright:   GPL and proprietary libraries.
Group:       System Environment/Kernel
Source:      http://www.medres.ch/~jstifter/linux/pctel-0.9.0.tar.gz
URL:         http://www.medres.ch/~jstifter/linux/pctel.html
Packager:    Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
Requires:    linux >= 2.4.0
BuildRoot:   /tmp/%{name}-root

%description
Linux kernel module driver for PCTel based modems.

%prep
%setup -n pctel-0.9.0

%build
## Don't forget to export HAL envvar (like 'export HAL=pct789').
./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make install prefix=$RPM_BUILD_ROOT%{prefix} moddir=$RPM_BUILD_ROOT/lib/modules/2.4.18/misc

%post
depmod -a
rm -f /dev/ttyS15 /dev/modem
mknod /dev/ttyS15 c 62 79
chgrp uucp /dev/ttyS15
chmod 666 /dev/ttyS15
ln -s /dev/ttyS15 /dev/modem

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/modules/2.4.18/misc/pctel.o
/lib/modules/2.4.18/misc/ptserial.o
%{prefix}/include/pctel/pctel.h
%{prefix}/share/doc/pctel/*

%changelog
* Sun Aug 19 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
